Bug 735942 - NULL variable dereferencing
Summary: NULL variable dereferencing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: abrt
Version: 6.2
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Miroslav Lichvar
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On:
Blocks: 743047
TreeView+ depends on / blocked
 
Reported: 2011-09-06 08:47 UTC by Michal Luscon
Modified: 2011-12-06 12:21 UTC (History)
7 users (show)

Fixed In Version: abrt-2.0.4-10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 12:21:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1598 normal SHIPPED_LIVE abrt and libreport bug fix and enhancement update 2011-12-06 00:51:16 UTC

Description Michal Luscon 2011-09-06 08:47:32 UTC
Description of problem:

/src/daemon/abrt-action-save-package-data.c:146 - Comparing "argv1" to null implies that "argv1" might be null.
/src/daemon/abrt-action-save-package-data.c:163 - Dereferencing null variable "argv1".

Version-Release number of selected component (if applicable):
abrt-2.0.4-9.el6

Additional info:
This defect was not present in the previous version of abrt package.

Comment 2 Miroslav Lichvar 2011-09-07 15:52:59 UTC
Upstream commit d2572a fixes this.

https://fedorahosted.org/abrt/ticket/324

Comment 10 errata-xmlrpc 2011-12-06 12:21:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1598.html


Note You need to log in before you can comment on or make changes to this bug.